googtts(1)

Name
googtts — call Google's text-to-speech interface

Syntax

googtts language words...

Description

Makes a HTTP request to the Google TTS (text-to-speech) converter, feeding it the given words, requested using langugage-specific articulation. The interface currently caps and rejects requests with more than 100 Unicode characters (spaces count towards this too).

As the TTS output is currently MPEG Layer-3, it is sent to the program mpg123 if stdout is a tty. Otherwise, the MPEG stream will be written to stdout, for redirection to work as intended.

Languages

language can either be the desired language's name (in English) or a substring thereof, or its two-letter ISO 639-1 code. Run googtts without any arguments to get a list over the supported languages.

Examples

googtts no selvfølgelig skulle det være norsk her googtts ja 日本語が好きじゃないのか

See also

hxtools(7)